package epson.scan.lib;

public class EscanLibException extends Exception {
    private int mEscIVersion;
    private int mEscanLibErrorCode;

    public EscanLibException(int i) {
        mEscIVersion = 1;
        mEscanLibErrorCode = i;
    }

    public EscanLibException(int i, int i2) {
        mEscIVersion = i;
        mEscanLibErrorCode = i2;
    }

    public int getEscanLibErrorCode() {
        return mEscanLibErrorCode;
    }

    public int getEscIVersion() {
        return mEscIVersion;
    }
}
